[arch-commits] Commit in python-beaker/repos (testing-any testing-any/PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed Apr 25 12:37:34 UTC 2018


    Date: Wednesday, April 25, 2018 @ 12:37:33
  Author: felixonmars
Revision: 322994

archrelease: copy trunk to testing-any

Added:
  python-beaker/repos/testing-any/
  python-beaker/repos/testing-any/PKGBUILD
    (from rev 322993, python-beaker/trunk/PKGBUILD)

----------+
 PKGBUILD |   63 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)

Copied: python-beaker/repos/testing-any/PKGBUILD (from rev 322993, python-beaker/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2018-04-25 12:37:33 UTC (rev 322994)
@@ -0,0 +1,63 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Massimiliano Torromeo < massimiliano DOT torromeo AT gmail DOT com >
+
+pkgbase=python-beaker
+pkgname=('python-beaker' 'python2-beaker')
+pkgver=1.9.1
+pkgrel=1
+arch=('any')
+license=('custom')
+pkgdesc="Caching and sessions WSGI middleware for use with web applications and stand-alone Python scripts and applications"
+url="http://beaker.groovie.org/"
+makedepends=('python-setuptools' 'python2-setuptools' 'python2-funcsigs')
+checkdepends=('python-nose' 'python2-nose' 'python-mock' 'python2-mock' 'python-sqlalchemy'
+              'python2-sqlalchemy' 'python-pycryptodomex' 'python2-pycryptodomex' 'python-coverage'
+              'python2-coverage' 'python-webtest' 'python2-webtest' 'python-redis' 'python2-redis'
+              'python-pymongo' 'python2-pymongo' 'python-pylibmc' 'python2-pylibmc' 'redis'
+              'python-cryptography' 'python2-cryptography' 'python-memcached' 'python2-memcached'
+              'memcached' 'mongodb' 'pifpaf')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/bbangert/beaker/archive/$pkgver.tar.gz")
+sha512sums=('3b121037d56e07d27fc11dc4ff9ed47725f009d020d84c923e75a533717b8fad514b3d670f613b89db274fb8563a2ee93b8697e526efb9628ec18c5c1094b699')
+
+prepare() {
+  sed -i "s/'pycryptodome'/'pycryptodomex'/g" beaker-$pkgver/setup.py
+  sed -i 's/from Crypto./from Cryptodome./' beaker-$pkgver/beaker/crypto/*.py
+  cp -a beaker-$pkgver{,-py2}
+
+  sed -i "s#/usr/bin/python#/usr/bin/python3#" beaker-$pkgver/beaker/crypto/pbkdf2.py
+  sed -i "s#/usr/bin/python#/usr/bin/python2#" beaker-$pkgver-py2/beaker/crypto/pbkdf2.py
+}
+
+build() {
+  cd "$srcdir"/beaker-$pkgver
+  python3 setup.py build
+
+  cd "$srcdir"/beaker-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/beaker-$pkgver
+  pifpaf run memcached --port 11211 -- pifpaf run mongodb --port 27017 -- pifpaf run redis python setup.py nosetests || warning "Tests failed"
+
+  cd "$srcdir"/beaker-$pkgver-py2
+  pifpaf run memcached --port 11211 -- pifpaf run mongodb --port 27017 -- pifpaf run redis python2 setup.py nosetests
+}
+
+package_python-beaker() {
+  depends=('python')
+
+  cd beaker-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/python-beaker/LICENSE
+}
+
+package_python2-beaker() {
+  depends=('python2-funcsigs')
+
+  cd beaker-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/python2-beaker/LICENSE
+}



More information about the arch-commits mailing list